<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__board__libs" kind="group">
    <compoundname>group_board_libs</compoundname>
    <title>NTC Thermistor</title>
    <innerclass prot="public" refid="structmtb__thermistor__ntc__gpio__cfg__t">mtb_thermistor_ntc_gpio_cfg_t</innerclass>
    <innerclass prot="public" refid="structmtb__thermistor__ntc__gpio__t">mtb_thermistor_ntc_gpio_t</innerclass>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gad8550ff1adedfd91648b41f29bc8ba6c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t mtb_thermistor_ntc_gpio_init</definition>
        <argsstring>(mtb_thermistor_ntc_gpio_t *obj, cyhal_adc_t *adc, cyhal_gpio_t gnd, cyhal_gpio_t vdd, cyhal_gpio_t out, mtb_thermistor_ntc_gpio_cfg_t *cfg)</argsstring>
        <name>mtb_thermistor_ntc_gpio_init</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__thermistor__ntc__gpio__t">mtb_thermistor_ntc_gpio_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>cyhal_adc_t *</type>
          <declname>adc</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>gnd</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>vdd</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>out</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structmtb__thermistor__ntc__gpio__cfg__t">mtb_thermistor_ntc_gpio_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Initialize the ADC Channel and Pins to communicate with the thermistor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a thermistor object containing the set of pins and adc channel that are associated with the thermistor. Note: The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a Thermistor object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adc</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an already initialized adc object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">gnd</parametername>
</parameternamelist>
<parameterdescription>
<para>Ground reference pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">vdd</parametername>
</parameternamelist>
<parameterdescription>
<para>VDD reference pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">out</parametername>
</parameternamelist>
<parameterdescription>
<para>Voltage output pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the cfg object containing the thermistor constants </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if properly initialized, else an error indicating what went wrong. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="64" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.c" bodystart="37" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="79" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga03a63ba0021b2039c22414336629aa91" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>float</type>
        <definition>float mtb_thermistor_ntc_gpio_get_temp</definition>
        <argsstring>(mtb_thermistor_ntc_gpio_t *obj)</argsstring>
        <name>mtb_thermistor_ntc_gpio_get_temp</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__thermistor__ntc__gpio__t">mtb_thermistor_ntc_gpio_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Gets the temperature reading, in degrees C, from the thermistor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a thermistor object containing the set of pins and adc channel that are associated with the thermistor. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The temperature reading, in degrees C, from the hardware. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="89" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.c" bodystart="66" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="87" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga9d024bc3ee1a2b9a0c15f63c1bbb5711" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void mtb_thermistor_ntc_gpio_free</definition>
        <argsstring>(mtb_thermistor_ntc_gpio_t *obj)</argsstring>
        <name>mtb_thermistor_ntc_gpio_free</name>
        <param>
          <type><ref kindref="compound" refid="structmtb__thermistor__ntc__gpio__t">mtb_thermistor_ntc_gpio_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Frees up the ADC channel and Pins allocated for the thermistor. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The set of pins and adc channel that are associated with the thermistor </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="102" bodyfile="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.c" bodystart="91" column="1" file="output/libs/COMPONENT_THERMISTOR/thermistor/mtb_thermistor_ntc_gpio.h" line="93" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>APIs for interacting with an NTC thermistor e.g the NCP18XH103F03RB resistor on a CY8CKIT-028-EPD shield Note: This lib uses floating point calculations during temperature calculation so it is recommended to enable floating point support. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>